Bug 1461955 - [RFE] Ability to Apply Errata via API Immediately
[RFE] Ability to Apply Errata via API Immediately
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.2.9
Unspecified Unspecified
low Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 14:04 EDT by pgozart
Modified: 2017-06-20 13:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pgozart 2017-06-15 14:04:01 EDT
Description of problem:
Using the /api/hosts/:host_id/errata/apply API to apply errata to content hosts does not execute immediately. Would like to have it execute immediately and not queued.


Version-Release number of selected component (if applicable):
Satellite 6.2.9


How reproducible:
Always


Steps to Reproduce:
PUT /api/hosts/:host_id/errata/apply


Actual results:
Execution does not start for 20 to 30 minutes
------------------------------------------------------
Id: 162342cf-ecd1-4deb-9c4e-403b283bfd0b
Label: Actions::Katello::Host::Erratum::Install
Name: Install erratum
Owner: ics-admin
Execution type: Delayed
Start at: 2017-06-12 15:09:27 -0700
Start before: -
Started at: 2017-06-12 15:09:27 -0700
Ended at: 2017-06-12 15:33:30 -0700
State: stopped
Result: success
Params: RHBA-2017:1299, RHBA-2017:1301, RHBA-2017:1302, RHBA-2017:1304, RHBA-2017:1306, RHBA-2017:1311, RHBA-2017:1312, RHBA-2017:1314, RHBA-2017:1317, RHBA-2017:1318, RHBA-2017:1319, RHBA-2017:1320, RHEA-2017:1300, RHEA-2017:1307, RHEA-2017:1310, RHSA-2017:1270, RHSA-2017:1308, RHSA-2017:1365, RHSA-2017:1382


Expected results:
Would like to be able to apply errata immediately.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.